<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:background="@color/white"
    tools:context=".patient_dashboard.NotificationsActivity">

    <ImageView
        android:id="@+id/back_btn"
        android:layout_width="35sp"
        android:layout_height="35sp"
        android:layout_marginHorizontal="15dp"
        android:layout_marginTop="15dp"
        android:contentDescription="@string/back_button"
        android:padding="5dp"
        android:paddingStart="-15dp"
        android:paddingEnd="0dp"
        android:src="@drawable/arrow_back" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"

        android:layout_marginHorizontal="15dp"
        android:layout_marginTop="15dp"
        android:layout_marginBottom="5dp"

        android:fontFamily="@font/nunito_medium"
        android:text="@string/notifications"
        android:textSize="@dimen/_18ssp"
        android:textColor="@color/black" />

    <ProgressBar
        android:id="@+id/progress"
        android:visibility="gone"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:layout_marginTop="50dp"
        android:indeterminate="true"
        android:indeterminateTint="@color/color_primary_dark"
        />

    <LinearLayout
        android:id="@+id/error_view"
        android:visibility="gone"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="center"
        android:orientation="vertical">

        <ImageView
            android:layout_width="@dimen/_60sdp"
            android:layout_height="@dimen/_60sdp"
            android:contentDescription="@string/notification"

            android:src="@drawable/img_no_notifications"
            android:scaleType="fitXY"/>

        <TextView
            android:id="@+id/error_msg"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"

            tools:text="No notifications for now"
            android:fontFamily="@font/nunito_semibold"
            android:textColor="@color/black"
            android:textSize="@dimen/_16ssp"

            android:layout_marginTop="5dp"

            />

    </LinearLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        >

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/notification_rv"
            android:visibility="gone"
            android:layout_above="@id/page_progress"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="15dp"/>

        <ProgressBar
            android:id="@+id/page_progress"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:indeterminateTint="@android:color/darker_gray"
            android:indeterminate="true"
            android:layout_alignParentBottom="true"
            android:layout_centerHorizontal="true"
            android:layout_marginVertical="5dp"
            android:visibility="gone"
            />

    </RelativeLayout>

</LinearLayout>